#include<iostream>
using namespace std;

long long n;
long long a[2000002];

int main()
{
cin>>n;
for(int i=0;i<n;i++)
    cin>>a[i];
long long br=0;
int nv;
for(int i=0;i<n;i++)
{
    nv=0;
    for(int j=i+1;j<n;j++)
    {
        if(a[j]>nv){br++;nv=a[j];}
        else if(a[i]>=nv)br++;
    }
}
cout<<br<<endl;
    return 0;
}